aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/integration
diff options
context:
space:
mode:
authorGravatar Klaus Aehlig <aehlig@google.com>2016-03-23 15:59:40 +0000
committerGravatar Damien Martin-Guillerez <dmarting@google.com>2016-03-24 10:31:41 +0000
commita62fb6dcde6a5fc673c1470c7a94e66038e52570 (patch)
treef824e0bbf6bebd005870fa2ab1d6ed43a79f8c9a /src/test/shell/integration
parent0773430188885e075121ebf720c82bb05a39db21 (diff)
Signal that the info command does not build
In the experimental UI, during build, STDOUT and STDERR events are reported as separate events, properly terminated by CR LF. After the completion of the build, however, STDOUT and STDERR are passed through byte by byte, to allow nicely formatted output. Info commands, however, do not build, so there is no event to signal end of build; hence report that fact directly to the UI. -- Change-Id: Ic236d33ee6e65637016370e15ed37e3d9494a258 Reviewed-on: https://bazel-review.googlesource.com/#/c/3122 MOS_MIGRATED_REVID=117934742
Diffstat (limited to 'src/test/shell/integration')
-rwxr-xr-xsrc/test/shell/integration/experimental_ui_test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/test/shell/integration/experimental_ui_test.sh b/src/test/shell/integration/experimental_ui_test.sh
index 2959d6e3f2..07bdffc8de 100755
--- a/src/test/shell/integration/experimental_ui_test.sh
+++ b/src/test/shell/integration/experimental_ui_test.sh
@@ -74,4 +74,12 @@ function test_fail() {
expect_log 'pkg:false.*'$'\x1b\[31m\x1b\[1m''.*FAIL'
}
+function test_info_spacing() {
+ # Verify that the output of "bazel info" is suitable for backtick escapes,
+ # in particular free carriage-return characters.
+ BAZEL_INFO_OUTPUT=XXX`bazel info --experimental_ui workspace`XXX
+ echo "$BAZEL_INFO_OUTPUT" | grep -q 'XXX[^'$'\r'']*XXX' \
+ || fail "bazel info output spaced as $BAZEL_INFO_OUTPUT"
+}
+
run_suite "Integration tests for bazel's experimental UI"